[rspec-users] RSpec on Rails 2.0

David Chelimsky dchelimsky at gmail.com
Wed Nov 14 13:32:45 EST 2007


On Nov 14, 2007 12:28 PM, Anton Kuzmin <lists at ruby-forum.com> wrote:
>
> David Chelimsky wrote:
> > On Nov 8, 2007 8:36 PM, David Chelimsky <dchelimsky at gmail.com> wrote:
> >> On Nov 8, 2007 8:21 PM, Patrick Aljord <patcito at gmail.com> wrote:
> >> > Nothing its a fresh project with latest rails edge that i started to
> >> > learn rspec.
> >>
> >> Rails edge or 2.0 preview?
> >>
> >
> > I just did this:
> >
> > rails foo
> > cd foo
> > rake rails:freeze:edge
> > ruby script/plugin install svn://rubyforge.org/var/svn/rspec/trunk/rspec
> > ruby script/plugin install
> > svn://rubyforge.org/var/svn/rspec/trunk/rspec_on_rails
> > script/generate rspec
> > rake db:create:all
> > script/generate rspec_scaffold Thing name:string
> > rake db:migrate
> > rake spec
> >
> > All ran perfectly well. I really don't know what's going on on your
> > machine.
>
> Installing plugin from the url you provided fixed the issue. I had
> "undefined method `failure_message'" problem with plugin installed today
> from this url:
> svn://rubyforge.org/var/svn/rspec/tags/CURRENT/rspec_on_rails

http://rspec.rubyforge.org/documentation/rails/install.html

CURRENT means the latest release, not the trunk. 1.0.8 was out months
ago - obviously not compatible with subsequent changes to rails.

Cheers,
David


More information about the rspec-users mailing list